<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>ClientModule (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ClientModule (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/artifacts/ArtifactView.ViewConfiguration.html" title="interface in org.gradle.api.artifacts"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/artifacts/ComponentMetadata.html" title="interface in org.gradle.api.artifacts"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/artifacts/ClientModule.html" target="_top">Frames</a></li>
<li><a href="ClientModule.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.artifacts</div>
<h2 title="Interface ClientModule" class="title">Interface ClientModule</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/artifacts/Dependency.html" title="interface in org.gradle.api.artifacts">Dependency</a>, <a href="../../../../org/gradle/api/artifacts/ExternalDependency.html" title="interface in org.gradle.api.artifacts">ExternalDependency</a>, <a href="../../../../org/gradle/api/artifacts/ExternalModuleDependency.html" title="interface in org.gradle.api.artifacts">ExternalModuleDependency</a>, <a href="../../../../org/gradle/api/artifacts/ModuleDependency.html" title="interface in org.gradle.api.artifacts">ModuleDependency</a>, <a href="../../../../org/gradle/api/artifacts/ModuleVersionSelector.html" title="interface in org.gradle.api.artifacts">ModuleVersionSelector</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">ClientModule</span>
extends <a href="../../../../org/gradle/api/artifacts/ExternalModuleDependency.html" title="interface in org.gradle.api.artifacts">ExternalModuleDependency</a></pre>
<div class="block">To model a module in your dependency declarations. Usually you can either declare a single dependency
 artifact or you declare a module dependency that depends on a module descriptor in a repository. With
 a client module you can declare a module dependency without the need of a module descriptor in a
 remote repository.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.artifacts.Dependency">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/Dependency.html" title="interface in org.gradle.api.artifacts">Dependency</a></h3>
<code><a href="../../../../org/gradle/api/artifacts/Dependency.html#ARCHIVES_CONFIGURATION">ARCHIVES_CONFIGURATION</a>, <a href="../../../../org/gradle/api/artifacts/Dependency.html#CLASSIFIER">CLASSIFIER</a>, <a href="../../../../org/gradle/api/artifacts/Dependency.html#DEFAULT_CONFIGURATION">DEFAULT_CONFIGURATION</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ClientModule.html#addDependency(org.gradle.api.artifacts.ModuleDependency)">addDependency</a></strong>(<a href="../../../../org/gradle/api/artifacts/ModuleDependency.html" title="interface in org.gradle.api.artifacts">ModuleDependency</a>&nbsp;dependency)</code>
<div class="block">Add a dependency to the client module.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/artifacts/ClientModule.html" title="interface in org.gradle.api.artifacts">ClientModule</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ClientModule.html#copy()">copy</a></strong>()</code>
<div class="block">Creates and returns a new dependency with the property values of this one.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../org/gradle/api/artifacts/ModuleDependency.html" title="interface in org.gradle.api.artifacts">ModuleDependency</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ClientModule.html#getDependencies()">getDependencies</a></strong>()</code>
<div class="block">Returns all the dependencies added to the client module.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ClientModule.html#getId()">getId</a></strong>()</code>
<div class="block">Returns the id of the client module.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.artifacts.ExternalModuleDependency">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ExternalModuleDependency.html" title="interface in org.gradle.api.artifacts">ExternalModuleDependency</a></h3>
<code><a href="../../../../org/gradle/api/artifacts/ExternalModuleDependency.html#isChanging()">isChanging</a>, <a href="../../../../org/gradle/api/artifacts/ExternalModuleDependency.html#setChanging(boolean)">setChanging</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.artifacts.ExternalDependency">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ExternalDependency.html" title="interface in org.gradle.api.artifacts">ExternalDependency</a></h3>
<code><a href="../../../../org/gradle/api/artifacts/ExternalDependency.html#isForce()">isForce</a>, <a href="../../../../org/gradle/api/artifacts/ExternalDependency.html#setForce(boolean)">setForce</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.artifacts.ModuleDependency">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ModuleDependency.html" title="interface in org.gradle.api.artifacts">ModuleDependency</a></h3>
<code><a href="../../../../org/gradle/api/artifacts/ModuleDependency.html#addArtifact(org.gradle.api.artifacts.DependencyArtifact)">addArtifact</a>, <a href="../../../../org/gradle/api/artifacts/ModuleDependency.html#artifact(org.gradle.api.Action)">artifact</a>, <a href="../../../../org/gradle/api/artifacts/ModuleDependency.html#artifact(groovy.lang.Closure)">artifact</a>, <a href="../../../../org/gradle/api/artifacts/ModuleDependency.html#exclude(java.util.Map)">exclude</a>, <a href="../../../../org/gradle/api/artifacts/ModuleDependency.html#getArtifacts()">getArtifacts</a>, <a href="../../../../org/gradle/api/artifacts/ModuleDependency.html#getExcludeRules()">getExcludeRules</a>, <a href="../../../../org/gradle/api/artifacts/ModuleDependency.html#getTargetConfiguration()">getTargetConfiguration</a>, <a href="../../../../org/gradle/api/artifacts/ModuleDependency.html#isTransitive()">isTransitive</a>, <a href="../../../../org/gradle/api/artifacts/ModuleDependency.html#setTargetConfiguration(java.lang.String)">setTargetConfiguration</a>, <a href="../../../../org/gradle/api/artifacts/ModuleDependency.html#setTransitive(boolean)">setTransitive</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.artifacts.Dependency">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/Dependency.html" title="interface in org.gradle.api.artifacts">Dependency</a></h3>
<code><a href="../../../../org/gradle/api/artifacts/Dependency.html#contentEquals(org.gradle.api.artifacts.Dependency)">contentEquals</a>, <a href="../../../../org/gradle/api/artifacts/Dependency.html#getGroup()">getGroup</a>, <a href="../../../../org/gradle/api/artifacts/Dependency.html#getName()">getName</a>, <a href="../../../../org/gradle/api/artifacts/Dependency.html#getVersion()">getVersion</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.artifacts.ModuleVersionSelector">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ModuleVersionSelector.html" title="interface in org.gradle.api.artifacts">ModuleVersionSelector</a></h3>
<code><a href="../../../../org/gradle/api/artifacts/ModuleVersionSelector.html#getGroup()">getGroup</a>, <a href="../../../../org/gradle/api/artifacts/ModuleVersionSelector.html#getName()">getName</a>, <a href="../../../../org/gradle/api/artifacts/ModuleVersionSelector.html#getVersion()">getVersion</a>, <a href="../../../../org/gradle/api/artifacts/ModuleVersionSelector.html#matchesStrictly(org.gradle.api.artifacts.ModuleVersionIdentifier)">matchesStrictly</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addDependency(org.gradle.api.artifacts.ModuleDependency)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addDependency</h4>
<pre>void&nbsp;addDependency(<a href="../../../../org/gradle/api/artifacts/ModuleDependency.html" title="interface in org.gradle.api.artifacts">ModuleDependency</a>&nbsp;dependency)</pre>
<div class="block">Add a dependency to the client module. Such a dependency is transitive dependency for the
 project that has a dependency on the client module.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>dependency</code> - The dependency to add to the client module.</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/api/artifacts/ClientModule.html#getDependencies()"><code>getDependencies()</code></a></dd></dl>
</li>
</ul>
<a name="getId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getId()</pre>
<div class="block">Returns the id of the client module. This is usually only used for internal handling of the
 client module.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The id of the client module</dd></dl>
</li>
</ul>
<a name="getDependencies()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDependencies</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../org/gradle/api/artifacts/ModuleDependency.html" title="interface in org.gradle.api.artifacts">ModuleDependency</a>&gt;&nbsp;getDependencies()</pre>
<div class="block">Returns all the dependencies added to the client module.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/api/artifacts/ClientModule.html#addDependency(org.gradle.api.artifacts.ModuleDependency)"><code>addDependency(ModuleDependency)</code></a></dd></dl>
</li>
</ul>
<a name="copy()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>copy</h4>
<pre><a href="../../../../org/gradle/api/artifacts/ClientModule.html" title="interface in org.gradle.api.artifacts">ClientModule</a>&nbsp;copy()</pre>
<div class="block">Creates and returns a new dependency with the property values of this one.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/artifacts/Dependency.html#copy()">copy</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/artifacts/Dependency.html" title="interface in org.gradle.api.artifacts">Dependency</a></code></dd>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/artifacts/ExternalDependency.html#copy()">copy</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/artifacts/ExternalDependency.html" title="interface in org.gradle.api.artifacts">ExternalDependency</a></code></dd>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/artifacts/ExternalModuleDependency.html#copy()">copy</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/artifacts/ExternalModuleDependency.html" title="interface in org.gradle.api.artifacts">ExternalModuleDependency</a></code></dd>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/artifacts/ModuleDependency.html#copy()">copy</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/artifacts/ModuleDependency.html" title="interface in org.gradle.api.artifacts">ModuleDependency</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The copy. Never returns null.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/artifacts/ArtifactView.ViewConfiguration.html" title="interface in org.gradle.api.artifacts"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/artifacts/ComponentMetadata.html" title="interface in org.gradle.api.artifacts"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/artifacts/ClientModule.html" target="_top">Frames</a></li>
<li><a href="ClientModule.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
